Bug 265221 - syslog-ng fails to build due to debuginfo issue
syslog-ng fails to build due to debuginfo issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
Depends On: 304121
Blocks: fedora-ia64 F8Target
  Show dependency treegraph
 
Reported: 2007-08-29 16:44 EDT by Jesse Keating
Modified: 2013-01-09 21:37 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.0.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 18:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-08-29 16:44:55 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=137630&name=build.log

+ /usr/lib/rpm/find-debuginfo.sh /builddir/build/BUILD/syslog-ng-2.0.5
extracting debug info from
/var/tmp/syslog-ng-2.0.5-2.fc8-root-kojibuilder/sbin/syslog-ng
/usr/lib/rpm/debugedit: canonicalization unexpectedly shrank by one character
error: Bad exit status from /var/tmp/rpm-tmp.98114 (%install)
Comment 1 Warren Togami 2007-10-22 12:08:56 EDT
http://www.redhat.com/archives/fedora-cvs-commits/2006-September/msg00425.html
Here is the checkin where this error check was added to RPM.
Comment 2 Doug Chapman 2007-10-23 21:09:24 EDT
Seeing the same issue when trying to build for ia64.
Comment 3 Panu Matilainen 2008-01-09 01:41:32 EST
This appears to be sufficient to fix the build:

--- syslog-ng.spec      17 Dec 2007 14:58:04 -0000      1.32
+++ syslog-ng.spec      9 Jan 2008 06:40:24 -0000
@@ -60,6 +60,8 @@
 %{__sed} -i  's|^#!/usr/local/bin/perl|#!%{__perl}|' contrib/relogger.pl
 chmod -c a-x contrib/syslog2ng
 
+# force regeneration to avoid broken paths from upstream (#265221)
+touch src/cfg-grammar.y
 
 %build
 %configure \
Comment 4 Douglas E. Warner 2008-01-09 08:44:11 EST
Panu, thanks for the patch.  I'll have an updated syslog-ng package out 
shortly.
Comment 5 Fedora Update System 2008-01-11 17:21:23 EST
syslog-ng-2.0.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syslog-ng'
Comment 6 Fedora Update System 2008-01-11 17:24:59 EST
syslog-ng-2.0.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update syslog-ng'
Comment 7 Fedora Update System 2008-01-18 18:56:06 EST
syslog-ng-2.0.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-01-18 18:56:30 EST
syslog-ng-2.0.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.